/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2017, The Linux Foundation. All rights reserved.
 */

#ifndef QCOM_PHY_QMP_PCS_USB_V4_H_
#define QCOM_PHY_QMP_PCS_USB_V4_H_

/* Only for QMP V4 PHY - USB3 PCS registers */
#define QPHY_V4_PCS_USB3_POWER_STATE_CONFIG1		0x000
#define QPHY_V4_PCS_USB3_AUTONOMOUS_MODE_STATUS		0x004
#define QPHY_V4_PCS_USB3_AUTONOMOUS_MODE_CTRL		0x008
#define QPHY_V4_PCS_USB3_AUTONOMOUS_MODE_CTRL2		0x00c
#define QPHY_V4_PCS_USB3_LFPS_RXTERM_IRQ_SOURCE_STATUS	0x010
#define QPHY_V4_PCS_USB3_LFPS_RXTERM_IRQ_CLEAR		0x014
#define QPHY_V4_PCS_USB3_LFPS_DET_HIGH_COUNT_VAL	0x018
#define QPHY_V4_PCS_USB3_LFPS_TX_ECSTART		0x01c
#define QPHY_V4_PCS_USB3_LFPS_PER_TIMER_VAL		0x020
#define QPHY_V4_PCS_USB3_LFPS_TX_END_CNT_U3_START	0x024
#define QPHY_V4_PCS_USB3_RXEQTRAINING_LOCK_TIME		0x028
#define QPHY_V4_PCS_USB3_RXEQTRAINING_WAIT_TIME		0x02c
#define QPHY_V4_PCS_USB3_RXEQTRAINING_CTLE_TIME		0x030
#define QPHY_V4_PCS_USB3_RXEQTRAINING_WAIT_TIME_S2	0x034
#define QPHY_V4_PCS_USB3_RXEQTRAINING_DFE_TIME_S2	0x038
#define QPHY_V4_PCS_USB3_RCVR_DTCT_DLY_U3_L		0x03c
#define QPHY_V4_PCS_USB3_RCVR_DTCT_DLY_U3_H		0x040
#define QPHY_V4_PCS_USB3_ARCVR_DTCT_EN_PERIOD		0x044
#define QPHY_V4_PCS_USB3_ARCVR_DTCT_CM_DLY		0x048
#define QPHY_V4_PCS_USB3_TXONESZEROS_RUN_LENGTH		0x04c
#define QPHY_V4_PCS_USB3_ALFPS_DEGLITCH_VAL		0x050
#define QPHY_V4_PCS_USB3_SIGDET_STARTUP_TIMER_VAL	0x054
#define QPHY_V4_PCS_USB3_TEST_CONTROL			0x058

#endif
